summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMario Fetka <mario.fetka@gmail.com>2017-06-29 13:00:20 (GMT)
committer Mario Fetka <mario.fetka@gmail.com>2017-06-29 13:00:20 (GMT)
commitb62c34b0378ae4c16cfc30cb7c2653ee07cf3cc8 (patch)
tree7f9f24370d1ddac11d490c9f456ed66e84d2f6ea
parentc8124101059c3c077bd39002b3352d7b0d7095c9 (diff)
Bump
Package-Manager: Portage-2.3.5, Repoman-2.3.2 RepoMan-Options: --force
-rw-r--r--virtual/linux-sources/Manifest4
-rw-r--r--virtual/linux-sources/linux-sources-3.ebuild (renamed from virtual/linux-sources/linux-sources-0.ebuild)30
-rw-r--r--virtual/linux-sources/metadata.xml11
3 files changed, 19 insertions, 26 deletions
diff --git a/virtual/linux-sources/Manifest b/virtual/linux-sources/Manifest
index 82d44d1..d812af4 100644
--- a/virtual/linux-sources/Manifest
+++ b/virtual/linux-sources/Manifest
@@ -1,2 +1,2 @@
-EBUILD linux-sources-0.ebuild 1555 SHA256 7add95fde876f6de4fa92d09fff524fb01d3109c80e3b1cd00b588570de2f483 SHA512 2a5a5b2f93fd28611723de21c2f2bf5c78bdd693c03deb0049ae4999e24c9e24764a2e7a1f88c1fc96e7344da812134afd6ddd20deddc1703052e308f0ccd2ef WHIRLPOOL 9497c258f3153c49190688d6de2a84a8c3c4fa3549e11ac5333f36bb2098793c3924e1962ebfaa59f6f582cdc5d81632fd56c8e92945f5f392b4325b511fece8
-MISC metadata.xml 223 SHA256 81397b5eb31af3dbcf2105207a21628be9a62fd03a105cc672ae99663b191a8c SHA512 5fefb6cbf52338b205b57f7ce80f03c7c1d3a6457b48a730996deb84b9c3e7c325cb032f8c8711d5382d6c898733e1fff38ac02e74927f5b2d6fe11dc0be6844 WHIRLPOOL 6f22b281394bf4ff8e98f3ecb0e87f7c7c06b9b106284f7c6aac2fa9f363c5fcbbe58a84b1c8181353d8bd0aeb36b4d760a4f439aaa5cd97e02627cb7bab3331
+EBUILD linux-sources-3.ebuild 1420 SHA256 c9e0bf1372d5dd7fc270764ff8b1220653bca0e1c3d8c8e86251f7a2f146067d SHA512 1753ddb3408a62c0c48c13707fad22daa6fcbded9dad092856cea8133dff6f0591baf8fefab52633e224f922371d8b7f6f63551a1e77efe4be2557eaccf81ee3 WHIRLPOOL 759dab53420e8347e56312e154602d6baef95bf04bde4ac70b0146b45bfee38f61baa00e048799f00802ae031dcbe536bb1b49cc821a4bac9aa7db8997260008
+MISC metadata.xml 324 SHA256 08437c386b73904e2d5e1b43a30a917547c6ad27390e66c44133dcad383176ee SHA512 81bf9233fb8288fded1273bb40de775e1820bede6a833777f3b3240c666d26309817f363719ad1892cd07388817cc20fe740c0bc9f3aa652aff78d4c29cfef9f WHIRLPOOL f4d71240ca434f8d0d8064219fcf28567294ce5d1007aaeabfc2c95160e42253fec66d0fa62201f0bff69ab5eb644febd26e885b5fdb56daef854c3469f519b6
diff --git a/virtual/linux-sources/linux-sources-0.ebuild b/virtual/linux-sources/linux-sources-3.ebuild
index 541afec..2c541f1 100644
--- a/virtual/linux-sources/linux-sources-0.ebuild
+++ b/virtual/linux-sources/linux-sources-3.ebuild
@@ -1,40 +1,30 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-EAPI=2
+EAPI=5
DESCRIPTION="Virtual for Linux kernel sources"
-HOMEPAGE=""
-SRC_URI=""
-
-LICENSE=""
SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86"
-IUSE=""
+KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86"
+IUSE="firmware"
SABLINK_SOURCES="sys-kernel/go-sources sys-kernel/buffalo_ls_chl-sources sys-kernel/buffalo_ls_chl2-sources sys-kernel/buffalo_ls_hgl-sources sys-kernel/buffalo_ls_mini-sources sys-kernel/buffalo_ls_pro_live-sources sys-kernel/buffalo_kb_pro-sources sys-kernel/buffalo_ls_pro_duo_rev1-sources sys-kernel/buffalo_ls_pro_duo_rev2-sources sys-kernel/buffalo_ls_ql-sources sys-kernel/buffalo_ls_vl-sources sys-kernel/buffalo_ls_wvl-sources sys-kernel/buffalo_ls_xhl-sources sys-kernel/medion_stg212-sources sys-kernel/pogoplug_pro-sources sys-kernel/pogoplug_pro_pci-sources sys-kernel/iomega_hmnd_ce-sources sys-kernel/freescale_mx53_loco-sources sys-kernel/pandaboard-sources"
-DEPEND=""
-RDEPEND="|| (
- ${SABLINK_SOURCES}
+RDEPEND="${SABLINK_SOURCES}
+ firmware? ( sys-kernel/linux-firmware )
+ || (
sys-kernel/gentoo-sources
sys-kernel/vanilla-sources
- sys-kernel/cell-sources
sys-kernel/ck-sources
- sys-kernel/cluster-sources
sys-kernel/git-sources
sys-kernel/hardened-sources
sys-kernel/mips-sources
- sys-kernel/mm-sources
sys-kernel/openvz-sources
sys-kernel/pf-sources
- sys-kernel/rsbac-sources
- sys-kernel/sparc-sources
+ sys-kernel/rt-sources
sys-kernel/tuxonice-sources
- sys-kernel/usermode-sources
- sys-kernel/vserver-sources
sys-kernel/xbox-sources
- sys-kernel/xen-sources
sys-kernel/zen-sources
+ sys-kernel/aufs-sources
+ sys-kernel/raspberrypi-sources
)"
diff --git a/virtual/linux-sources/metadata.xml b/virtual/linux-sources/metadata.xml
index 8ca3486..f98ce08 100644
--- a/virtual/linux-sources/metadata.xml
+++ b/virtual/linux-sources/metadata.xml
@@ -1,8 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<herd>kernel-misc</herd>
-<maintainer>
- <email>ulm@gentoo.org</email>
-</maintainer>
+ <maintainer type="person">
+ <email>mario.fetka@gmail.com</email>
+ <name>Mario Fetka</name>
+ </maintainer>
+ <use>
+ <flag name="firmware">Install linux kernel firmware</flag>
+ </use>
</pkgmetadata>

Powered by Domaintechnik.at | Hosting - Domain - Webspace